{include file='include/colorbox.inc.tpl'}

{footer_script}{literal}
jQuery(document).ready(function(){
	jQuery(".createECardOpen").colorbox({
		inline:true,
		href:"#addECardForm",
		width:"50%",
		minWidth:"500px",
		height:"90%",
		onComplete:function(){
			
		}
	});

	jQuery("#addECardForm form").submit(function(){
		//jQuery(".createECardOpen").colorbox.close();
	});
});

function ecard_checkField(element, elementType) {
	var TEXT = 0;
	var EMAIL = 1;
	
	switch (elementType) {
		case TEXT:
			if (element.value == '') {
				document.getElementById(element.id+'_error').style.display = 'block';
				element.className += " ecard_error_input";
				return false;
			} else {
				document.getElementById(element.id+'_error').style.display = 'none';
				element.className = element.className.replace( /(?:^|\s)ecard_error_input(?!\S)/g , '');
				return true;
			}
			break;
		case EMAIL:
			var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
			if (!filter.test(element.value)) {
				document.getElementById(element.id+'_error').style.display = 'block';
				element.className += " ecard_error_input";
				return false;
			} else {
				document.getElementById(element.id+'_error').style.display = 'none';
				element.className = element.className.replace( /(?:^|\s)ecard_error_input(?!\S)/g , '');
				return true;
			}
			break;
		default:
			return false;
			break;
	}
}

function ecard_checkForm(form) {
	var titleOK = ecard_checkField(form.ecard_title, 0);
	var messageOK = ecard_checkField(form.ecard_message, 0);
	var senderNameOK = ecard_checkField(form.ecard_sender_name, 0);
	var senderEMailOK = ecard_checkField(form.ecard_sender_email, 1);
	var recipientNameOK = ecard_checkField(form.ecard_recipient_name, 0);
	var recipientEMailOK = ecard_checkField(form.ecard_recipient_email, 1);
	
	if(titleOK && messageOK && senderNameOK && senderEMailOK && recipientNameOK && recipientEMailOK)
		return true;
	else
		return false;
}
{/literal}{/footer_script}

</p>
<div style="display:none">
	<div id="addECardForm">
		<form method="post" onsubmit="return ecard_checkForm(this);">
			<fieldset>
				<legend>{'piwecard_send_stage1'|@translate}</legend>
				<div class="ecard_field">
					<div class="ecard_error" id="ecard_title_error">{'piwecard_error'|@translate} {'piwecard_error_text'|@translate}</div>
					<span class="ecard_label">{'Title'|@translate}<span class="ecard_mandatory_fields">*</span> :</span>
					<span class="ecard_input_right"><input name="ecard_title" type="text" id="ecard_title" value="{$ecard.title}" title="{$ecard.title}"></span>
				</div>
				<div class="ecard_field">
					<div class="ecard_error" id="ecard_message_error">{'piwecard_error'|@translate} {'piwecard_error_text'|@translate}</div>
					<span class="ecard_label">{'piwecard_message'|@translate}<span class="ecard_mandatory_fields">*</span> :</span>
					<span class="ecard_input_right"><textarea name="ecard_message" id="ecard_message" value="{$ecard.message}" title="{$ecard.message}">{$ecard.message}</textarea></span>
				</div>
			</fieldset>
			<fieldset>
				<legend>{'piwecard_send_stage2'|@translate}</legend>
				<div class="ecard_field">
					<div class="ecard_error" id="ecard_sender_name_error">{'piwecard_error'|@translate} {'piwecard_error_text'|@translate}</div>
					<div class="ecard_error" id="ecard_sender_email_error">{'piwecard_error'|@translate} {'piwecard_error_email'|@translate}</div>
					<span class="ecard_label">{'piwecard_sender'|@translate}<span class="ecard_mandatory_fields">*</span> :</span>
					<span class="ecard_name"><input name="ecard_sender_name" type="text" id="ecard_sender_name" maxlength="100" value="{$ecard.sender_name}" onfocus="ecard_clearDefaultText(this, '{$ecard.sender_name}');"></span>
					<span class="ecard_email"><input name="ecard_sender_email" type="text" id="ecard_sender_email" maxlength="100" {$ecard.changemail} value="{$ecard.sender_email}" onblur="ecard_checkField(this, 1);"></span>
				</div>
				<div class="ecard_field">
					<div class="ecard_error" id="ecard_recipient_name_error">{'piwecard_error'|@translate} {'piwecard_error_text'|@translate}</div>
					<div class="ecard_error" id="ecard_recipient_email_error">{'piwecard_error'|@translate} {'piwecard_error_email'|@translate}</div>
					<span class="ecard_label">{'piwecard_recipient'|@translate}<span class="ecard_mandatory_fields">*</span> :</span>
					<span class="ecard_name"><input name="ecard_recipient_name" type="text" id="ecard_recipient_name" maxlength="100" value="{$ecard.recipient_name}"></span>
					<span class="ecard_email"><input name="ecard_recipient_email" type="text" id="ecard_recipient_email" maxlength="100" value="{$ecard.recipient_email}" onblur="ecard_checkField(this, 1);"></span>
				</div>
			</fieldset>
			<fieldset>
				<legend>{'piwecard_send_stage3'|@translate}</legend>
				<div class="ecard_field">
					<span class="ecard_label"><label for="ecard_copy">{'piwecard_sender_copy'|@translate} :</label></span>
					<span><input type="checkbox" id="ecard_copy" name="ecard_copy" {$ecard.copy}/></span>
					<div class="clear"></div>
				</div>
				<div class="ecard_field">
					<span class="ecard_label">{'piwecard_email_format'|@translate} : </span>
						<span>
						{foreach from=$ecard_email_format item=ecard_email_format}
							<input type="radio" name="ecard_email_format" id="ecard_email_format_{$ecard_email_format.id}" value="{$ecard_email_format.id}" {$ecard_email_format.selected}><label for="ecard_email_format_{$ecard_email_format.id}"> {$ecard_email_format.name} </label>
						{/foreach}
					</span>
				</div>
				{if isset($ecard_validity)}
					<div class="ecard_field">
						<span class="ecard_label">{'piwecard_validity_label'|@translate} :</span>
						<span>
							{foreach from=$ecard_validity item=ecard_validity}
								<input type="radio" name="ecard_validity" id="ecard_validity_{$ecard_validity.id}" value="{$ecard_validity.id}" {$ecard_validity.selected}><label for="ecard_validity_{$ecard_validity.id}"> {$ecard_validity.name} </label>
							{/foreach}
						</span>
					</div>
				{/if}
			</fieldset>
			<fieldset>
				<legend>{'piwecard_send_stage4'|@translate}</legend>
				<div class="ecard_submit">
					<input type="submit" name="ecard_submit" value="{'piwecard_send'|@translate}" />
				</div>
			</fieldset>
			<div>
				<span class="ecard_mandatory_fields">* {'piwecard_send_mandatory_fields'|@translate}</span>
			</div>
		</form>
	</div>
</div>
<p>
	<a href="#" class="createECardOpen" title="{'piwecard_send_link'|@translate}">{'piwecard_send_link'|@translate}</a>
</p><p>